package domain

type AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaHmMarketingItembuygiftAdditemLimitInfo `json:"limit_info,omitempty" `

	/*
	   买N赠1的N     */
	BuyNum *int64 `json:"buy_num,omitempty" `

	/*
	   赠品的skuCode，如果和主商品的skuCode相同，则为买A赠A；如果不同，则为买A赠B     */
	GiftSkuCode *string `json:"gift_sku_code,omitempty" `

	/*
	   主商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) SetLimitInfo(v AlibabaHmMarketingItembuygiftAdditemLimitInfo) *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) SetBuyNum(v int64) *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku {
	s.BuyNum = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) SetGiftSkuCode(v string) *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku {
	s.GiftSkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) SetSkuCode(v string) *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku {
	s.SkuCode = &v
	return s
}
